--
-- LoanTax
--
-- "LoanTax" contains "MoreLoan - ANDR55"
-- @author Remx 
-- Version 1.0
-- @date 18.11.2016


LoanTax = {};

function LoanTax:loadMap(name)

	g_currentMission.missionStats.loanMax = 5000000;
	g_currentMission.missionStats.saveLoan = 0;
	LoanTax:calculateLoanInterestRate();
	
end;

function LoanTax:update(dt)

	if g_currentMission.missionStats.saveLoan ~= g_currentMission.missionStats.loan then
		LoanTax:calculateLoanInterestRate();
		g_currentMission.missionStats.saveLoan = g_currentMission.missionStats.loan;
	end;
	
end;

function LoanTax:calculateLoanInterestRate()

	local loanAnnualInterestRate = 0;
	
	if g_currentMission.missionStats.loan <= 100000 then
		loanAnnualInterestRate = 400;
	
	elseif g_currentMission.missionStats.loan <= 200000 then
		loanAnnualInterestRate = 750;
        
	elseif g_currentMission.missionStats.loan <= 500000 then
		loanAnnualInterestRate = 1100;
	
	elseif g_currentMission.missionStats.loan <= 1000000 then
		loanAnnualInterestRate = 1450;
		
	elseif g_currentMission.missionStats.loan <= 5000000 then
		loanAnnualInterestRate = 1800;
	end;

      g_currentMission.missionStats.loanAnnualInterestRate = loanAnnualInterestRate;
end;

function LoanTax:deleteMap()
end;

function LoanTax:delete()
end;

function LoanTax:mouseEvent(posX, posY, isDown, isUp, button)
end;

function LoanTax:keyEvent(unicode, sym, modifier, isDown)
end;

function LoanTax:draw()
end;

addModEventListener(LoanTax);